PARAMETERS

*Table 1

  VP(I)             Producer price of good I
  VPV(I)            Value added price for sector I
  VPD(TR)           Domestic price of good TR including tax
  VPL(TR)           Domestic price of good TR excluding tax
  VPC(TR)           Price of composite good TR
  VPM(TR)           Domestic price of imported good TR
  VPE(TR)           Domestic price of exported good TR
  VPWM(TR)          World price of import TR (foreign currency)
  VPWE(TR)          World price of export TR (foreign currency)
  Vr(TR)            Rate of return to capital

*table 2

  VXS(I)            Production of sector I
  VVA(I)            Value added in sector I (volume)
  VCI(I)            Total intermediate consumption of sector I
  VLD(I)            Sector I demand for labour
*----------------------------------------------------------------
  VLDfem(I)         Sector I demand for female labour
  VLDmal(I)         Sector I demand for male labour
*----------------------------------------------------------------
  VKD(TR)           Sector TR demand for capital
  VINV(TR)          Investment in good TR (volume)
  VDIT(TR)          Intermediate demand for good TR
  VD(TR)            Demand for domestic good TR
  VQ(TR)            Demand for composite good TR
  VM(TR)            Imports of good TR
  VEX(TR)           Exports of good TR
  VTI(TR)           Receipts from indirect tax
  VTIM(TR)          Receipts from indirect tax on imports
  VTIE(TR)          Receipts from indirect tax on exports

*table 3

  VYH(H)            Household H income
  VYDH(H)           Household H disposable income
  VCTH(H)           Household H total consumption
  VSH(H)            Household H savings
  VDIV(H)           Dividends paid to capitalist households
  VTG(H)            Public transfers to households
  VDTH(H)           Receipts from direct income taxation for household H

*table 4

  VDI(TR,J)         Intermediate consumption of good TR in sector J

*table 5

  VC(TR,H)          Consumption of good TR by household H (volume)

*table 6

  VLAND             Agricultural land
  VKS               Total capital supply
*  VLS               Total labour supply
*-------------------------------------------------------------
*  VLSfem            Total female labour supply
*  VLSmal            Total male labour supply
*===============================================================================
  VLSfem(H)           Household female labour supply
  VLSmal(H)           Household male labour supply
  VLSTfem             Total female labour supply
  VLSTmal             Total male labour supply
*===============================================================================
  Vwfem             Female wage rate
  Vwmal             Male wage rate
*--------------------------------------------------------------
  Vw                Wage rate
  VCF               Composite agricultural capital-labor factor
  Vrl               Rate of return to agricultural land
  Vrc               Rate or return to composite agricultural capital-labor
  VPINV             Investment price
  VPINDEX           Producer price index
  VIT               Total investment (value)
  VITVOL
  VG                Total public consumption (value)
  VCAB              Current account balance
  VYF               Firms income
  VYG               Government income
  VSF               Firms savings
  VSG               Government savings
  VDIV_ROW          Dividends paid to foreigners
  VDTF              Receipts from direct income taxation on firms

lambda_wfem(H)   share of female labour income in household H labour income
lambda_wmal(H)   share of male labour income in household H labour income
lambda_LDfem(I)  share of female labour in sector I labour (volume)
lambda_LDmal(I)  share of male labour in sector I labour (volume)

Vlambda_wfem(H)  variation share of female labour income in household H labour income
Vlambda_wmal(H)  variation share of male labour income in household H labour income
Vlambda_LDfem(I) variation share of female labour in sector I labour (volume)
Vlambda_LDmal(I) variation share of male labour in sector I labour (volume)

ini_lambda_wfem(H)  initial share of female labour income in household H labour income
ini_lambda_wmal(H)  initial share of male labour income in household H labour income
ini_lambda_LDfem(I) initial share of female labour in sector I labour (volume)
ini_lambda_LDmal(I) initial share of male labour in sector I labour (volume)
;


ini_lambda_wfem(H)= WfemO*LSfemO(H)/(WfemO*LSfemO(H)+WmalO*LSmalO(H));
ini_lambda_wmal(H) = WmalO*LSmalO(H)/(WfemO*LSfemO(H)+WmalO*LSmalO(H));
ini_lambda_LDfem(I) = LDfemO(I)/LDO(I);
ini_lambda_LDmal(I) = LDmalO(I)/LDO(I);

lambda_wfem(H)= Wfem.L*LSfem.L(H)/(Wfem.L*LSfem.L(H)+Wmal.L*LSmal.L(H));
lambda_wmal(H) = Wmal.L*LSmal.L(H)/(Wfem.L*LSfem.L(H)+Wmal.L*LSmal.L(H));
lambda_LDfem(I) = LDfem.L(I)/LD.L(I);
lambda_LDmal(I) = LDmal.L(I)/LD.L(I);

Vlambda_wfem(H) = 100*(lambda_wfem(H)-ini_lambda_wfem(H))/ini_lambda_wfem(H);
Vlambda_wmal(H) = 100*(lambda_wmal(H)-ini_lambda_wmal(H))/ini_lambda_wmal(H) ;
Vlambda_LDfem(I) = 100*(lambda_LDfem(I)-ini_lambda_LDfem(I))/ini_lambda_LDfem(I);
Vlambda_LDmal(I) =100*(lambda_LDmal(I)-ini_lambda_LDmal(I))/ini_lambda_LDmal(I);

VP (I) = 100*(P.L(I)-PO(I))/PO(I);
VPV (I) = 100*(PV.L(I)-PVO(I))/PVO(I) ;
VPD (TR) = 100*(PD.L(TR)-PDO(TR))/PDO(TR);
VPL (TR) = 100*(PL.L(TR)-PLO(TR))/PLO(TR) ;
VPC (TR) = 100*(PC.L(TR)-PCO(TR))/PCO(TR) ;
VPM (TR) = 100*(PM.L(TR)-PMO(TR))/PMO(TR) ;
VPE (TR) = 100*(PE.L(TR)-PEO(TR))/PEO(TR) ;
VPWM (TR) = 100*(PWM.L(TR)-PWMO(TR))/PWMO(TR);
VPWE (TR) = 100*(PWE.L(TR)-PWEO(TR))/PWEO(TR);

VPINDEX  = 100*(PINDEX.L-PINDEXO)/PINDEXO;
VPINV  = 100*(PINV.L-PINVO)/PINVO;
VW  = 100*(W.L-WO)/WO;
*-----------------------------------------
VWfem  = 100*(Wfem.L-WfemO)/WfemO;
VWmal  = 100*(Wmal.L-WmalO)/WmalO;
*----------------------------------------
Vr(TR) = 100*(r.L(TR)-rO(TR))/rO(TR);
Vrl = 100*(rl.L-rlO)/rlO;

VXS (I) = 100*(XS.L(I)-XSO(I))/XSO(I);
VVA (I) = 100*(VA.L(I)-VAO(I))/VAO(I);
VCI (I) = 100*(CI.L(I)-CIO(I))/CIO(I);

VDI (TR,J) = 100*(DI.L(TR,J)-DIO(TR,J))/DIO(TR,J);

VKS = 100*(KS.L-KSO)/KSO;
VKD (TR) = 100*(KD.L(TR)-KDO(TR))/KDO(TR);
VLAND  = 100*(LAND.L-LANDO)/LANDO;
*VLS  = 100*(LS.L-LSO)/LSO;
VLD (I) = 100*(LD.L(I)-LDO(I))/LDO(I);
*----------------------------------------------------
*VLSfem  = 100*(LSfem.L-LSfemO)/LSfemO;
*VLSmal  = 100*(LSmal.L-LSmalO)/LSmalO;
VLDfem (I) = 100*(LDfem.L(I)-LDfemO(I))/LDfemO(I);
VLDmal (I) = 100*(LDmal.L(I)-LDmalO(I))/LDmalO(I);
*===============================================================================
VLSfem(H)  = 100*(LSfem.L(H)-LSfemO(H))/LSfemO(H);
VLSmal(H)  = 100*(LSmal.L(H)-LSmalO(H))/LSmalO(H);
VLSTfem    = 100*(LSTfem.L-LSTfemO)/LSTfemO;
VLSTmal    = 100*(LSTmal.L-LSTmalO)/LSTmalO;
*===============================================================================

VC (TR,H) = 100*(C.L(TR,H)-CO(TR,H))/CO(TR,H);
VINV (TR)$INVO(TR) = 100*(INV.L(TR)-INVO(TR))/INVO(TR);
VIT  = 100*(IT.L-ITO)/ITO;
VITVOL = 100*(ITVOL.L-ITVOLO)/ITVOLO;
VDIT (TR) = 100*(DIT.L(TR)-DITO(TR))/DITO(TR);
VG  = 100*(G.L-GO)/GO;
VCF  = 100*(CF.L-CFO)/CFO;
Vrc  = 100*(rc.L-rcO)/rcO;
VD (TR) = 100*(D.L(TR)-DO(TR))/DO(TR);
VQ (TR) = 100*(Q.L(TR)-QO(TR))/QO(TR);
VM (TR) = 100*(M.L(TR)-MO(TR))/MO(TR);
VEX (TR) = 100*(EX.L(TR)-EXO(TR))/EXO(TR);
VCAB  = 100*(CAB.L-CABO)/CABO;

VYH (H) = 100*(YH.L(H)-YHO(H))/YHO(H);
VYDH (H) = 100*(YDH.L(H)-YDHO(H))/YDHO(H);
VCTH (H) = 100*(CTH.L(H)-CTHO(H))/CTHO(H);
VYF  = 100*(YF.L-YFO)/YFO;
VYG  = 100*(YG.L-YGO)/YGO;
VSF  = 100*(SF.L-SFO)/SFO;
VSG  = 100*(SG.L-SGO)/SGO;
VSH (H)$SHO(H) = 100*(SH.L(H)-SHO(H))/SHO(H);
VDIV(H)$DIVO(H)  = 100*(DIV.L(H)-DIVO(H))/DIVO(H);
VDIV_ROW  = 100*(DIV_ROW.L-DIV_ROWO)/DIV_ROWO;
VTG (H)$TGO(H)  = 100*(TG.L(H)-TGO(H))/TGO(H);
VTI (TR) = 100*(TI.L(TR)-TIO(TR))/TIO(TR);
VTIM (TR)$TIMO(TR) = 100*(TIM.L(TR)-TIMO(TR))/TIMO(TR);
VTIE (TR)$TIEO(TR) = 100*(TIE.L(TR)-TIEO(TR))/TIEO(TR);
VDTH (H) = 100*(DTH.L(H)-DTHO(H))/DTHO(H);
VDTF  = 100*(DTF.L-DTFO)/DTFO;


file tabs2/

  GLS_sim_tables.xls/;
   tabs2.pc=6;
   tabs2.nd=3;

put tabs2;

put 'table 1' /;

put '' loop(I, put I.TL) put /;
put 'P' loop (I, put VP(I)) put /;
put 'PV' loop (I, put vPV(I)) put /;
put 'PD' loop (TR, put VPD(TR)) put /;
put 'PL' loop (TR, put VPL(TR)) put /;
put 'PC' loop (TR, put VPC(TR)) put /;
put 'PM' loop (TR, put VPM(TR)) put /;
put 'PE' loop (TR, put VPE(TR)) put /;
put 'PWM' loop (TR, put VPWM(TR)) put /;
put 'PWE' loop (TR, put VPWE(TR)) put /;
put 'r' loop (TR, put Vr(TR)) put /;

put ///;

put 'table 2a' /;

put '' loop(I, put I.TL) put /;
put 'XS' loop (I, put VXS(I)) put /;
put 'VA' loop (I, put VVA(I)) put /;
put 'CI' loop (I, put VCI(I)) put /;
put 'LD' loop (I, put VLD(I)) put /;
*----------------------------------------------------
put 'LDfem' loop (I, put VLDfem(I)) put /;
put 'LDmal' loop (I, put VLDmal(I)) put /;
*----------------------------------------------------
put 'KD' loop (TR, put VKD(TR)) put /;
put 'INV' loop (TR, put VINV(TR)) put'' put /;
put 'DIT' loop (TR, put VDIT(TR)) put /;
put 'D' loop (TR, put VD(TR)) put /;
put 'Q' loop (TR, put VQ(TR)) put /;
put 'M' loop (TR, put VM(TR)) put /;
put 'EX' loop (TR, put VEX(TR)) put /;
put 'TI' loop (TR, put VTI(TR)) put /;
put 'TIM' loop (TR, put VTIM(TR))  put /;
put 'TIE' loop (TR, put VTIE(TR))  put /;

put /;

put 'table 2b' /;

put '' loop(I, put I.TL) put /;
put 'ini_lambda_LDfem' loop (I, put ini_lambda_LDfem(I)) put /;
put 'ini_lambda_LDmal' loop (I, put ini_lambda_LDmal(I)) put /;
put 'lambda_LDfem' loop (I, put lambda_LDfem(I)) put /;
put 'lambda_LDmal' loop (I, put lambda_LDmal(I)) put /;
put 'Var lambda_LDfem' loop (I, put Vlambda_LDfem(I)) put /;
put 'Var lambda_LDmal' loop (I, put Vlambda_LDmal(I)) put /;

put /;

put 'table 3' /;

put '' loop(H, put H.TL) put /;
put 'YH' loop(H, put VYH(H)) put /;
put 'YDH' loop (H, put VYDH(H)) put /;
put 'CTH' loop (H, put VCTH(H)) put /;
put 'SH' loop (H, put VSH(H)) put /;
put 'DIV'  loop (H, put VDIV(H)) put /;
put 'TG'  loop (H, put VTG(H))   put /;
put 'DTH' loop (H, put VDTH(H)) put /;
*=============================================
put 'LSfem' loop(H, put VLSfem(H)) put /;
put 'LSmal' loop(H, put VLSmal(H)) put /;
*=============================================
put ///;

put 'table 4 : Intermediate demand of product (DI) ' /;

put '' loop(I, put I.TL) put /;
put 'AGR' loop(I, put VDI("AGR",I)) put /;
put 'IND' loop(I, put VDI("IND",I)) put /;
put 'SER' loop(I, put VDI("SER",I)) put /;


put ///;

put 'table 5 : good consumption (C)' /;

put '' loop(H, put H.TL) put /;
put 'AGR' loop(H, put VC("AGR",H)) put /;
put 'IND' loop(H, put VC("IND",H)) put /;
put 'SER' loop(H, put VC("SER",H)) put /;

put ///;

put 'LAND' put VLAND /;
put 'KS' put VKS /;
*put 'LS' put VLS /;
*--------------------------------
*put 'LSfem' put VLSfem /;
*put 'LSmal' put VLSmal /;
*================================
put 'LSTfem' put VLSTfem /;
put 'LSTmal' put VLSTmal /;
*================================
put 'Wfem' put Vwfem /;
put 'Wmal' put Vwmal /;
*--------------------------------
put 'W' put VW /;
put 'CF' put VCF /;
put 'rl' put Vrl /;
put 'rc' put Vrc /;
put 'PINV' put VPINV /;
put 'PINDEX' put VPINDEX /;
put 'IT' put VIT /;
put 'ITVOL' put VITVOL /;
put 'G' put VG /;
put 'CAB' put VCAB /;
put 'YF' put VYF /;
put 'YG' put VYG /;
put 'SF' put VSF /;
put 'SG' put VSG / ;
put 'DIV_ROW' put VDIV_ROW /;
put 'DTF' put VDTF /;
