*---------------------Parameters to display in output file-------------------*
Parameters

lambda_wfemO(H)  share of female labour income in household H labour income
lambda_wmalO(H)  share of male labour income in household H labour income
lambda_LDfemO(I) share of female labour in sector I labour (volume)
lambda_LDmalO(I) share of male labour in sector I labour (volume)
;

lambda_wfemO(H)= WfemO*LSfemO(H)/(WfemO*LSfemO(H)+WmalO*LSmalO(H));
lambda_wmalO(H) = WmalO*LSmalO(H)/(WfemO*LSfemO(H)+WmalO*LSmalO(H));
lambda_LDfemO(I) = LDfemO(I)/LDO(I);
lambda_LDmalO(I) = LDmalO(I)/LDO(I);

file tabs /

   GLS_calib_tables.xls/;
   tabs.pc=6;
   tabs.nd=3;

put tabs;

put 'table 1' /;

put '' loop(I, put I.TL) put /;
put 'A_KL ' loop (TR, put A_kl(TR)) put /;
put 'alpha_KL ' loop (TR, put alpha_kl(TR)) put /;
put 'sigma_KL ' loop (TR, put sigma_kl(TR)) put /;
put 'rho_KL ' loop (TR, put rho_kl(TR)) put /;
*------------------------------------------------------
put 'A_Lab ' loop (I, put A_Lab(I)) put /;
put 'alpha_Lab ' loop (I, put alpha_Lab(I)) put /;
put 'sigma_Lab ' loop (I, put sigma_Lab(I)) put /;
put 'rho_Lab ' loop (I, put rho_Lab(I)) put /;
*------------------------------------------------------
put 'io ' loop (I, put io(I)) put /;
put 'v ' loop (I, put v(I)) put /;
put 'mu' loop (TR, put mu(TR)) put /;
put 'tx' loop (TR, put tx(TR)) put /;
put 'tm' loop (TR, put tm(TR)) put /;
put 'te' loop (TR, put te(TR)) put /;
put 'B_E' loop (TR, put B_E(TR)) put /;
put 'A_M' loop (TR, put A_M(TR)) put /;
put 'kappa_e ' loop (TR, put kappa_e(TR)) put /;
put 'beta_e ' loop (TR, put beta_e(TR)) put /;
put 'tau_e ' loop (TR, put tau_e(TR)) put /;
put 'rho_m ' loop (TR, put rho_m(TR)) put /;
put 'alpha_m ' loop (TR, put alpha_m(TR)) put /;
put 'sigma_m ' loop (TR, put sigma_m(TR)) put /;
put 'delta ' loop (I, put delta(I)) put /;
put 'deltak ' loop (TR, put deltak(TR)) put /;

put /;

put 'table 2' /;

put '' loop(H, put H.TL) put /;
put 'V_MIN' loop (H, put V_MIN(H)) put /;
put 'FRISCH' loop (H, put FRISCH(H)) put /;
put 'PSI' loop (H, put PSI(H)) put /;
*put 'lambda_w' loop (H, put lambda_w(H)) put /;
*-------------------------------------------------------
*put 'lambda_wf' loop (H, put lambda_wf(H)) put /;
*put 'lambda_wm' loop (H, put lambda_wm(H)) put /;
*=======================================================
put 'LELAS_fem' loop (H, put LELAS_fem(H)) put /;
put 'ZETA_fem' loop (H, put ZETA_fem(H)) put /;
put 'MAXHOUR_fem' loop (H, put MAXHOUR_fem(H)) put /;
put 'LELAS_mal' loop (H, put LELAS_mal(H)) put /;
put 'ZETA_mal' loop (H, put ZETA_mal(H)) put /;
put 'MAXHOUR_mal' loop (H, put MAXHOUR_mal(H)) put /;
*=======================================================
put 'lambda_r' loop (H, put lambda_r(H)) put /;
put 'lambda_l' loop (H, put lambda_l(H)) put /;
put 'tyh' loop (H, put tyh(H)) put /;

put /;

put 'table 3 : input output coefficient (aij)' /;

put '' loop(I, put I.TL) put /;
put 'AGR' loop(I, put aij("AGR",I)) put /;
put 'IND' loop(I, put aij("IND",I)) put /;
put 'SER' loop(I, put aij("SER",I)) put /;


put /;

put 'table 4 : marginal share of good (gamma)' /;

put '' loop(H, put H.TL) put /;
put 'AGR' loop(H, put gamma("AGR",H)) put /;
put 'IND' loop(H, put gamma("IND",H)) put /;
put 'SER' loop(H, put gamma("SER",H)) put /;

put /;

put 'table 5 : Income elasticity (YELAS)' /;

put '' loop(H, put H.TL) put /;
put 'AGR' loop(H, put YELAS("AGR",H)) put /;
put 'IND' loop(H, put YELAS("IND",H)) put /;
put 'SER' loop(H, put YELAS("SER",H)) put /;

put /;

put 'table 6 : Minimum consumption (C_MIN)' /;

put '' loop(H, put H.TL) put /;
put 'AGR' loop(H, put C_MIN("AGR",H)) put /;
put 'IND' loop(H, put C_MIN("IND",H)) put /;
put 'SER' loop(H, put C_MIN("SER",H)) put /;

put /;


put 'A_CL ' put A_CL /;
put 'alpha_CL ' put alpha_CL /;
put 'sigma_CL ' put sigma_CL /;
put 'rho_CL ' put rho_CL /;
put 'lambda_row' put lambda_row /;
put 'lambda_lrw' put lambda_lrw /;
put 'lambda_rf' put lambda_rf /;
put 'lambda_lf' put lambda_lf /;
put 'tyf' put tyf /;

put /;

put 'table 7' /;

put '' loop(I, put I.TL) put /;
put 'PO' loop (I, put PO(I)) put /;
put 'PVO' loop (I, put PVO(I)) put /;
put 'PDO' loop (TR, put PDO(TR)) put /;
put 'PLO' loop (TR, put PLO(TR)) put /;
put 'PCO' loop (TR, put PCO(TR)) put /;
put 'PMO' loop (TR, put PMO(TR)) put /;
put 'PEO' loop (TR, put PEO(TR)) put /;
put 'PWMO' loop (TR, put PWMO(TR)) put /;
put 'PWEO' loop (TR, put PWEO(TR)) put /;
put 'rO' loop (TR, put rO(TR)) put /;

put /;

put 'table 8' /;

put '' loop(I, put I.TL) put /;
put 'XSO' loop (I, put XSO(I)) put /;
put 'VAO' loop (I, put VAO(I)) put /;
put 'CIO' loop (I, put CIO(I)) put /;
put 'LDO' loop (I, put LDO(I)) put /;
*===================================================
put 'LDfemO' loop (I, put LDfemO(I)) put /;
put 'LDmalO' loop (I, put LDmalO(I)) put /;
put 'lambda_LDfemO' loop (I, put lambda_LDfemO(I)) put /;
put 'lambda_LDmalO' loop (I, put lambda_LDmalO(I)) put /;
*===================================================
put 'KDO' loop (TR, put KDO(TR)) put /;
put 'INVO' loop (TR, put INVO(TR)) put'' put /;
put 'DITO' loop (TR, put DITO(TR)) put /;
put 'DO' loop (TR, put DO(TR)) put /;
put 'QO' loop (TR, put QO(TR)) put /;
put 'MO' loop (TR, put MO(TR)) put /;
put 'EXO' loop (TR, put EXO(TR)) put /;
put 'TIO' loop (TR, put TIO(TR)) put /;
put 'TIMO' loop (TR, put TIMO(TR))  put /;
put 'TIEO' loop (TR, put TIEO(TR))  put /;

put /;

put 'table 9' /;

put '' loop(H, put H.TL) put /;
put 'YHO' loop(H, put YHO(H)) put /;
put 'YDHO' loop (H, put YDHO(H)) put /;
put 'CTHO' loop (H, put CTHO(H)) put /;
put 'SHO' loop (H, put SHO(H)) put /;
put 'DIVO'  loop (H, put DIVO(H)) put /;
put 'TGO'  loop (H, put TGO(H))   put /;
put 'DTHO' loop (H, put DTHO(H)) put /;
*==========================================
put 'LSfemO' loop (H, put LSfemO(H)) put /;
put 'LSmalO' loop (H, put LSmalO(H)) put /;
put 'lambda_WfemO' loop (H, put lambda_wfemO(H)) put /;
put 'lambda_WmalO' loop (H, put lambda_wmalO(H)) put /;
*==========================================

put /;

put 'table 10 : Intermediate demand of product (DIO) ' /;

put '' loop(I, put I.TL) put /;
put 'AGR' loop(I, put DIO("AGR",I)) put /;
put 'IND' loop(I, put DIO("IND",I)) put /;
put 'SER' loop(I, put DIO("SER",I)) put /;

put /;

put 'table 11 : good consumption (CO)' /;

put '' loop(H, put H.TL) put /;
put 'AGR' loop(H, put CO("AGR",H)) put /;
put 'IND' loop(H, put CO("IND",H)) put /;
put 'SER' loop(H, put CO("SER",H)) put /;

put /;

put 'LANDO' put LANDO /;
put 'KSO' put KSO /;
put 'CFO' put CFO /;
*put 'LSO' put LSO /;
*------------------------------
*put 'LSfemO' put LSfemO /;
*put 'LSmalO' put LSmalO /;
*==============================
put 'LSTfemO' put LSTfemO /;
put 'LSTmalO' put LSTmalO /;
put 'WfemO' put WfemO /;
put 'WmalO' put WmalO /;
*==============================
put 'WO' put WO /;
put 'rlO' put rlO /;
put 'rcO' put rcO /;
put 'PINVO' put PINVO /;
put 'PINDEXO' put PINDEXO /;
put 'ITO' put ITO /;
put 'ITVOLO' put ITVOLO /;
put 'GO' put GO /;
put 'CABO' put CABO /;
put 'YFO' put YFO /;
put 'YGO' put YGO /;
put 'SFO' put SFO /;
put 'SGO' put SGO / ;
put 'DIV_ROWO' put DIV_ROWO /;
put 'DTFO' put DTFO /;
;